API DocumentationManufacturer part specification controller

Create a part specification

POST
/api/manufacturer/v1/part-specification

Creates a part specification from a part revision and a set of manufacturing parameters. If a part specification with the same manufacturing parameters already exists for the part revision, it is returned instead of creating a duplicate.

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Manufacturing parameters of the part specification

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/manufacturer/v1/part-specification" \  -H "Content-Type: application/json" \  -d '{    "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",    "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",    "materialId": 0,    "units": "CENTIMETERS",    "postProcessingIds": [      0    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",  "partRevisionName": "string",  "units": "CENTIMETERS",  "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",  "materialId": 0,  "colorId": 0,  "precisionId": 0,  "infillId": 0,  "postProcessingIds": [    0  ],  "customerReferences": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerOrganisationId": 0,      "customerOrganisationName": "string",      "reference": "string",      "pricingTiers": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "quantity": 0,          "price": 0        }      ],      "showInCatalog": true    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "lastUpdated": "2019-08-24T14:15:22Z",  "constraints": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "constraintType": "string",      "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "weight": 0}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}